Subject: Re: Writing to err vs std

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Mar 2023 16:02:57 -0800

Jay Asbury <[email-masked]> writes:

> I see things like git fetch and other processing writing details to
> stderr and not std.

I assume you meant "not to standard output".  

As a rule of thumb, the core of the output, the information the
end-user asked for, is sent to the standard output, whether it is
machine parseable or otherwise.  And other stuff like progress
meter, warning and advice messages, are sent to the standard error.

This should be documented already in Documentation/CodingGuidelines
for our developers.  Do you think it needs to be documented for
end-users?  I suspect that rather than such "principle", they are
more interested in seeing what message can be squelched with --quiet
and what can be piped to downstream with "git foo |" on case-by-case
basis individually.